Package org.apache.solr.common.params

# Class AppendedSolrParams

java.lang.Object
org.apache.solr.common.params.SolrParams
org.apache.solr.common.params.DefaultSolrParams
org.apache.solr.common.params.AppendedSolrParams

All Implemented Interfaces:
  `Serializable`, `Iterable<Map.Entry<String,String[]>>`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class AppendedSolrParams extends DefaultSolrParams
SolrParams wrapper which acts similar to DefaultSolrParams except that it "appends" the values of multi-value params from both sub instances, so that all the values are returned.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from class org.apache.solr.common.params.DefaultSolrParams

`defaults, params`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getParams(String param)`
returns an array of the String values of a param, or null if no mapping for the param exists.
`String`
`toString()`
Like `SolrParams.toQueryString()`, but only replacing enough chars so that the URL may be unambiguously pasted back into a browser.
`static AppendedSolrParams`
`wrapAppended(SolrParams params, SolrParams extra)`

### Methods inherited from class org.apache.solr.common.params.DefaultSolrParams

`get, getParameterNamesIterator`

### Methods inherited from class org.apache.solr.common.params.SolrParams

`equals, fpname, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, getLong, getLong, getPrimitiveBool, getPrimitiveFieldBool, getPrimitiveFieldFloat, getPrimitiveInt, hashCode, iterator, of, of, required, stream, toLocalParamsString, toNamedList, toQueryString, wrapDefaults, writeMap`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Method Details

### wrapAppended

public static AppendedSolrParams wrapAppended(SolrParams params, SolrParams extra)

### getParams

public String[] getParams(String param)
Description copied from class: `SolrParams`
returns an array of the String values of a param, or null if no mapping for the param exists.

Overrides:
  `getParams` in class `DefaultSolrParams`

### toString

public String toString()
Description copied from class: `SolrParams`
Like `SolrParams.toQueryString()`, but only replacing enough chars so that the URL may be unambiguously pasted back into a browser. This method can be used to properly log query parameters without making them unreadable.

Characters with a numeric value less than 32 are encoded. &,=,%,+,space are encoded.

Overrides:
  `toString` in class `DefaultSolrParams`